summaryrefslogtreecommitdiff
path: root/plugins/pow/pow.plugin.zsh
diff options
context:
space:
mode:
authorRobby Russell <robby@planetargon.com>2011-05-29 03:54:05 -0700
committerRobby Russell <robby@planetargon.com>2011-05-29 03:54:05 -0700
commit40a737ee1362d7d745313c4aa8ea29e28ff52978 (patch)
treec20a403fbfaa01c7c559605f585908b6aac7d39c /plugins/pow/pow.plugin.zsh
parentb0c9bc88ef630e056bd670ad185514cf435c2085 (diff)
parent6b86636413c3b9b98d723ea77058db6c283325e4 (diff)
downloadzsh-40a737ee1362d7d745313c4aa8ea29e28ff52978.tar.gz
zsh-40a737ee1362d7d745313c4aa8ea29e28ff52978.tar.bz2
zsh-40a737ee1362d7d745313c4aa8ea29e28ff52978.zip
Merge pull request #366 from betawaffle/master
Add/update plugins: brew, rvm, node, npm, pow, and thor.
Diffstat (limited to 'plugins/pow/pow.plugin.zsh')
-rw-r--r--plugins/pow/pow.plugin.zsh10
1 files changed, 10 insertions, 0 deletions
diff --git a/plugins/pow/pow.plugin.zsh b/plugins/pow/pow.plugin.zsh
new file mode 100644
index 000000000..6b2a6f2be
--- /dev/null
+++ b/plugins/pow/pow.plugin.zsh
@@ -0,0 +1,10 @@
+# Thanks to Christopher Sexton
+# https://gist.github.com/965032
+function kapow {
+ touch ~/.pow/$1/tmp/restart.txt
+ if [ $? -eq 0 ]; then
+ echo "$fg[yellow]Pow restarting $1...$reset_color"
+ fi
+}
+
+compctl -W ~/.pow -/ kapow